logrotate (3.8.7-2ubuntu2.16.04.2) xenial; urgency=medium

  * logrotate does not ever recover from a corrupted statefile (LP: #1709670)
    - d/p/do-not-treat-failure-of-readState-as-fatal.patch
    (Backported from commit b9d82003002c98370e4131a7e43c76afcd23306a)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 09 Aug 2017 16:02:21 -0400

logrotate (3.8.7-2ubuntu2.16.04.1) xenial; urgency=medium

  * createOutputFile: rename already existing file (LP: #1630516)
    - d/p/ubuntu/createOutputFile-eliminate-stat-open-TOCTOU-race.patch
    - d/p/ubuntu/createOutputFile-rename-already-existing-file.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 22 Mar 2017 11:47:34 +0100

logrotate (3.8.7-2ubuntu2) wily; urgency=medium

  * debian/patches/manpage.patch: fix state file path in FILES section
    (LP: #772214)

 -- Andrey Bondarenko <abondarenko@users.sourceforge.net>  Tue, 01 Sep 2015 11:56:43 +0500

logrotate (3.8.7-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 21 May 2015 16:58:31 -0700

logrotate (3.8.7-2) unstable; urgency=low

  * New patch:
    - taboo-716649.patch: Add .dpkg-bak and .dpkg-del to taboo extensions.
      (Closes: #716649)
  * Bump standards version to 3.9.6. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Tue, 05 May 2015 23:18:48 +0100

logrotate (3.8.7-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jan 2014 11:05:42 -0800

logrotate (3.8.7-1) unstable; urgency=low

  * New patch:
    - man-su-explanation-729315.patch: Explain how "su" may conflict with
      "create". (Closes: #729315)
  * New upstream release
    - Fix to forcing size-based rotations. (Closes: #714910)
  * Bump standards version to 3.9.5. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Fri, 17 Jan 2014 09:46:01 +0000

logrotate (3.8.6-1ubuntu2) trusty; urgency=low

  * debian/logrotate.conf: use group 'syslog' by default when rotating logs,
    otherwise logrotate will refuse to rotate logs in /var/log whose owning
    group is now syslog instead of root.  LP: #1258202.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Dec 2013 10:35:47 -0800

logrotate (3.8.6-1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 08:20:39 -0700

logrotate (3.8.6-1) unstable; urgency=low

  * New upstream release
    - logrotate crashes with sharedscripts when no logs are rotated.
    - Fix potential buffer overflow in parsing config.
  * New patch:
    - mktime-718332.patch: Fix incorrectly initialized struct tm causing
      extra rotations. (Closes: #718332)

 -- Paul Martin <pm@debian.org>  Tue, 03 Sep 2013 21:34:00 +0100

logrotate (3.8.5-1) unstable; urgency=low

  * New upstream release
    + Check for both possible orders of script output in tests.
      (Closes: #707526)
    + If logrotate state file is corrupted, fail with error.
    + Make logrotate state file creation atomic. (Closes: #707526)
    + Add fsync during log copytruncate and gzip+unlink.
    + Allow 'hourly' rotation.
    + Do not try to parse big (16+ MB) config files.
  * Debian patches merged upstream:
    - dst.patch
    - man-startcount.patch
    - man-compressext-576362.patch
    - asprintf-fixes.patch
    - makefile-test-cleanup.patch
    - manpage-hyphens.patch
    - acl-nosys-706050.patch
    - size-longlong-706460.patch
    - timetraveller-704950.patch

 -- Paul Martin <pm@debian.org>  Wed, 26 Jun 2013 22:26:23 +0100

logrotate (3.8.3-5) unstable; urgency=low

  * New patches:
    + timetraveller-704950.patch: don't complain if the local time has changed
      such that the last rotation was in the "future" if the change is less
      than 25 hours. This allows for timezone shifts for travellers.
      (Closes: #704950) Please note that logrotate should not be relied upon
      if you are using a TARDIS.
    + size-longlong-706460.patch: Parse the number in the size/minsize/maxsize
      as an unsigned long long instead of just an unsigned long. For those who
      like to write their multigigabyte values in bytes. (Closes: #706460)
  * Update standards version to 3.9.4. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Tue, 30 Apr 2013 18:44:41 +0100

logrotate (3.8.3-4) experimental; urgency=low

  * Accommodate cross-building and "nocheck". (Closes: #694835)
  * Accommodate ext3 filesystem returning wrong error if ACL is disabled.
    (Closes: #706050)
  * Replace patches/acl-tests.patch with the ones from upstream SVN, as
    patches/rh391-acl-test.patch, rh394-acl-tests.patch, rh397-acl-tests.patch
  * Replace patches/configparse.patch with upstream's rh401-tabooextloop.patch
  * Imported from upstream SVN:
    + patch/rh390-version.patch: Add --version option.
    + patch/rh392-skip-errors.patch: Fixed bug which prevented skipping
      particular log file config if the config contains errors
    + patch/rh393-kilo.patch: Allow both 'k' and 'K' in size.
    + patch/rh395-action-error-skip.patch: Fixed skipping of configs 
      containing firstaction/lastaction in case of error before these 
      directives
    + patch/rh396-changes.patch: update to CHANGES file 
    + patch/rh398-preremove.patch: new option "preremove"
    + patch/rh399-leakedfds.patch: Close leaked fds
    + patch/rh400-install.patch: Add INSTALL file
    + patch/rh402-selinux-compress-context.patch: set SELinux context before
      compressLogFile calls to create compressed log files with proper context
    + patch/rh403-prepostrotate.patch: Call prerotate/postrotate script only
      for really rotated files (Closes: #652971)
    - patches/sharedscripts-519432.patch: removed

 -- Paul Martin <pm@debian.org>  Wed, 24 Apr 2013 14:29:30 +0100

logrotate (3.8.3-3ubuntu2) raring; urgency=low

  * Use correct compiler when cross-building.
  * Honour DEB_BUILD_OPTIONS=nocheck.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Dec 2012 01:24:57 +0000

logrotate (3.8.3-3ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Nov 2012 18:33:50 +0000

logrotate (3.8.3-3) unstable; urgency=low

  * Remove acl from Build-Depends. Buildd servers don't support ACLs
    on their filing systems.
  * patches/acl-tests.patch.: disable ACL tests if setfacl is not present
    or doesn't work.

 -- Paul Martin <pm@debian.org>  Tue, 16 Oct 2012 15:12:55 +0100

logrotate (3.8.3-2) unstable; urgency=low

  * Add acl to Build-Depends on Linux as the self-tests require it.
  * We don't need to Build-Depend on quilt any more, as package source
    is in "3.0 (quilt)" format.
  * postrm and preinst: use separate "set -e" rather than use "-e" in
    "#!" line.
  * patches/manpage-hyphens.patch: Fix lintian warning
    "hyphen-used-as-minus-sign".

 -- Paul Martin <pm@debian.org>  Tue, 16 Oct 2012 13:36:27 +0100

logrotate (3.8.3-1) unstable; urgency=low

  * New upstream release. Major changes:
    + Fixed setting "size" bigger than 4GB on 32bit architectures.
    + Do not overwrite mode set by "create" option when using ACL.
    + Mode argument in "create" directive can be omitted.
  * debian/rules: allow "clean" to clean up test directory.
  * debian/rules: Build with ACLs and build-depend on libacl1-dev

 -- Paul Martin <pm@debian.org>  Mon, 15 Oct 2012 14:51:14 +0100

logrotate (3.8.2-1) unstable; urgency=low

  * New upstream release. Major changes:
    + More regression tests.
    + Fixed mail sending for 'mailfirst', 'dateext' and 'delaycompress'
      combination.
    + Check if the log is not symlink before rotation.
    + Do not call fchown in createOutputFile if newly created file already
      has proper owner. This fixes rotation of files stored on NFS where we
      can't change owner.
  * Patches:
    - svn*.patch removed as we're using upstream release.
      svn-r360.patch was reverted upstream. (Breathes sigh of relief.)
    - dateext-504079.patch removed. Applied upstream.
    - copyloginfo-512152.patch removed. Applied upstream.

 -- Paul Martin <pm@debian.org>  Thu, 16 Aug 2012 12:46:06 +0100

logrotate (3.8.1-5) experimental; urgency=low

  * Add Homepage and Vcs-Svn to debian/control. (Closes: #675313)
  * Cherry pick upstream svn patches:
    + svn-r343.patch: Add strlen() sanity check to mbrtowc() call.
    + svn-r344.patch: Show error and ignore config if '{' is not present 
      after log files declaration.
    + svn-r346.patch: Support whitespaces in compressoptions directive
      (Closes: #159797)
    + svn-r348.patch: Fix typo in manpage. (overwite -> overwrite)
    + svn-r{349,350,351,352,353,368}.patch: Extra test cases.
    + svn-r354.patch: Fix ACL bug caused by bad merge.
    + svn-r355.patch: Typo in maxsize debug message (was reporting minsize)
    + svn-r356.patch: Fix potential bad free in ACL code.
    + svn-r357.patch: Support for tilde expansion in config files.
    + svn-r358.patch: Add O_NOFOLLOW when opening files as safeguard against
      symlink tricks.
    + svn-r359.patch: don't run external programs with uid != euid.
      (Slightly modified from upstream to use the runScriptMultiple fix.)
    + svn-r360.patch: Don't accept service owned log directories anymore.
      (This is the reason why this is going in "experimental" for now.)
    + svn-r361.patch: Fix to one of the tests.
    + svn-r362.patch: Run shred unprivileged.
    + svn-r363.patch: Parser: check for missing brackets.
    + svn-r364.patch: Return failure when refusing to rotate a log due to
      wrong permissions
  * Amended patches:
    + test-cleanup.patch: Clean up after regression tests.

 -- Paul Martin <pm@debian.org>  Thu, 31 May 2012 09:54:20 +0100

logrotate (3.8.1-4) unstable; urgency=low

  * Switch to dh type debian/rules.
  * Patch:
    + test-cleanup.patch: Clean up after regression tests.

 -- Paul Martin <pm@debian.org>  Thu, 17 May 2012 13:58:57 +0100

logrotate (3.8.1-3) unstable; urgency=low

  * Enabled hardened build flags.
  * Patch:
    + asprintf-fixes.patch: Fix asprintf() warnings and allow build with
      hardened build flags.
  * Update standards version to 3.9.3.

 -- Paul Martin <pm@debian.org>  Thu, 17 May 2012 00:36:48 +0100

logrotate (3.8.1-2) unstable; urgency=low

  * Removed dependancy on fcron as it is no longer in the repository.

 -- Paul Martin <pm@debian.org>  Wed, 21 Dec 2011 11:02:53 +0000

logrotate (3.8.1-1) unstable; urgency=low

  * New upstream release
    + Changes in 3.8.0 fix build problems on non-POSIX architectures 
      (Closes: #632501)
    + New config options: dateyesterday, maxsize, su. (See manpage.)
      (maxsize Closes: #635184)
  * New patch:
    + man-compressext-576362.patch. Correct manpage about compressext,
      compressoptions behaviour. (Closes: #576362)
  * debian/logrotate.README.Debian: update now that rsyslog is default
    for new installs. (Closes: #649598)
  * Incidentally, rsyslog is now default syslog, and that doesn't use 
    savelog but makes use of logrotate. (Closes: #379843)
  * Install logrotate.conf.5 (a redirect to logrotate.8) (Closes: #182261)
  * debian/control: depend on cron-daemon as an alternative to cron.
    (Closes: #334137)
  * lintian warning fix: move debian/logrotate.copyright to debian/copyright
  * debian/control: add Breaks: postgresql-common (<= 126) as its config 
    file requires an "su". Postgres maintainer is aware and awaits this
    upload.
  * Upload to unstable. (Closes: #648025)

 -- Paul Martin <pm@debian.org>  Mon, 05 Dec 2011 17:58:16 +0000

logrotate (3.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #633529)
    + Fixes for CVE-2011-1098, CVE-2011-1154, and CVE-2011-1155
      (Closes: #639302)
    + dateformat sorting noted in manpage (Closes: #580054)
  * Changed debian/control to use [linux-any] in Build-Depends.
    (Closes: #634704)
  * Removed patches:
    + create-388608.patch: Upstream has fixed this.
    + nofollow.patch: Upstream has fixed this.
    + security-388608.patch: Upstream has fixed this.
    + FTBFS-hurd-613342.patch: Adopted upstream. (Closes: #613342)

 -- Paul Martin <pm@debian.org>  Sun, 28 Aug 2011 19:11:09 +0100

logrotate (3.7.9-1) experimental; urgency=low

  * New upstream release
  * New patch:
    + FTBFS-hurd-613342.patch. Half of a fix to #613342. Unfortunately
      the rest of the supplied patch leaks memory badly.
  * Removed patches:
    - deb-taboos.patch (applied upstream)
    - ucf-taboos.patch (applied upstream)
    - compressutime.patch (applied upstream)
    - rh-toolarge.patch (upstream does things a different way)
    - rh-curdir2.patch (applied upstream) 
    - parser571033.patch (applied upstream) 
  * Added build-arch/build-indep targets to debian/rules.
  * Update standards version to 3.9.2 (no changes).
 -- Paul Martin <pm@debian.org>  Wed, 22 Jun 2011 15:51:46 +0100

logrotate (3.7.8-6ubuntu6) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 16:36:26 +0100

logrotate (3.7.8-6ubuntu5) oneiric; urgency=low

  * cron.daily: ensure that the status file exists to avoid error messages
    in cron mail. LP: #785670

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 04 Oct 2011 18:23:34 +0200

logrotate (3.7.8-6ubuntu4) oneiric; urgency=low

  * SECURITY UPDATE: arbitrary code execution via shell metacharacters in
    log filename
    - debian/patches/CVE-2011-1154.patch: improve shred logic in
      logrotate.c.
    - CVE-2011-1154
  * SECURITY UPDATE: denial of service via invalid characters in log
    filename
    - debian/patches/CVE-2011-1155.patch: properly escape filenames in
      logrotate.c.
    - CVE-2011-1155

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 17 Jun 2011 13:36:27 -0400

logrotate (3.7.8-6ubuntu3) natty; urgency=low

  * cron.daily: Fixing a shell redirection error

 -- Ahmed Kamal <kim0@ubuntu.com>  Sun, 13 Mar 2011 02:21:08 +0200

logrotate (3.7.8-6ubuntu2) natty; urgency=low

  * cron.daily: Added ability to clean non existent log files from 
    logrotate status file (LP: #730504)

 -- Ahmed Kamal <kim0@ubuntu.com>  Sat, 12 Mar 2011 14:58:38 +0200

logrotate (3.7.8-6ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #554823), remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 14 Jul 2010 19:34:54 +0200

logrotate (3.7.8-6) unstable; urgency=low

  * New patch:
    + ucf-taboos.patch. Add common ucf files to default taboo list. Thanks
      to Noah Massey.

 -- Paul Martin <pm@debian.org>  Sat, 17 Apr 2010 22:01:47 +0100

logrotate (3.7.8-5) unstable; urgency=low

  * New patch:
    + parser571033.patch: fix the config parser to not get confused when
      a wildcard produces no results. (Closes: 571033)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump debhelper version to 7 (dh_clean -k -> dh_prep).
  * Update standards version to 3.8.4 (no changes).

 -- Paul Martin <pm@debian.org>  Sat, 20 Mar 2010 19:37:26 +0000

logrotate (3.7.8-4ubuntu2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 00:56:16 +0100

logrotate (3.7.8-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #414347
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 16 Aug 2009 12:40:24 +0530

logrotate (3.7.8-4) unstable; urgency=high

  * New patch:
    + security-388608.patch: A race condition in the creation of 
      compressed and copied log files makes it possible to overwrite 
      arbitrary files by generating a link or symlink during a window 
      of opportunity between logrotate renaming a log file and creating 
      the copy of the next. (Closes: #388608) Once again, many thanks to
      Florian Zumbiehl for forcing me to think.
  * Uploading to unstable.

 -- Paul Martin <pm@debian.org>  Fri, 14 Aug 2009 23:22:04 +0100

logrotate (3.7.8-3) experimental; urgency=low

  * New patch:
    + nofollow.patch: If a logfile is a symlink, it may be read when
      being compressed, being copied (copy, copytruncate) or mailed.
      Secure data (eg. password files) may be exposed. Thanks to
      Florian Zumbiehl for getting me thinking about this one.

 -- Paul Martin <pm@debian.org>  Thu, 06 Aug 2009 16:35:41 +0100

logrotate (3.7.8-2) experimental; urgency=low

  * New patch:
    + create-388608.patch: Really squash the race condition for the 
      creation of compressed log files and the creation of new ones.
      (Closes: 388608)

 -- Paul Martin <pm@debian.org>  Tue, 04 Aug 2009 21:16:03 +0100

logrotate (3.7.8-1) experimental; urgency=low

  * New upstream release:
    - do not exit on status file errors
    - limit config file inclusion nesting
    - use hashes for status file handling (patch by Petr Tesarik 
      <ptesarik@suse.cz> and Leonardo Chiquitto)
    - dateformat to allow unixtime (patch by Sami Kerola <kerolasa@iki.fi>)
  * Upstream has taken some of our patches:
    - manpage.patch: partial uptake, updated
    - man-189243.patch: fully applied upstream
    - man-sizetypo.patch: fully applied upstream
    - man-overriden.patch: fully applied upstream
  * Added a watch file (but upstream has a redirect to https).
  * Upstream has also fixed createOutputFile to be more secure
    (Closes: #388608)
  * New Debian patch:
    + sharedscripts-519432.patch: Prerotate and postrotate scripts get the 
      list of rotated files passed to them as arguments. (Closes: #519432)
    + chown-484762.patch: If running as non-root, warn but don't abort if
      we can't chown the compressed log file. (Closes: #484762)
  * Update Standards-Version to 3.8.2. (No changes)

 -- Paul Martin <pm@debian.org>  Tue, 04 Aug 2009 15:18:18 +0100

logrotate (3.7.7-5ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #410660
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 08 Aug 2009 17:00:10 +0530

logrotate (3.7.7-5) unstable; urgency=high

  * Backport patch from 3.7.8-3 (in experimental):
    + nofollow.patch: If a logfile is a symlink, it may be read when 
      being compressed, being copied (copy, copytruncate) or mailed. 
      Secure data (eg. password files) may be exposed. Thanks to
      Florian Zumbiehl for getting me thinking about this one.

 -- Paul Martin <pm@debian.org>  Thu, 06 Aug 2009 16:41:26 +0100

logrotate (3.7.7-4) unstable; urgency=low

  * Update location of upstream in debian/copyright.

 -- Paul Martin <pm@debian.org>  Thu, 19 Feb 2009 11:54:07 +0000

logrotate (3.7.7-3) unstable; urgency=low

  * Fix sharedcycles. (Closes: #512152)

 -- Paul Martin <pm@debian.org>  Sun, 18 Jan 2009 00:48:49 +0000

logrotate (3.7.7-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 18 Jan 2009 05:51:34 +0000

logrotate (3.7.7-3) unstable; urgency=low

  * Fix sharedcycles. (Closes: #512152)

 -- Paul Martin <pm@debian.org>  Sun, 18 Jan 2009 00:48:49 +0000

logrotate (3.7.7-2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #313461
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used on
      request, and we don't configure an MTA by default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 03 Jan 2009 19:08:07 +0530

logrotate (3.7.7-2) unstable; urgency=low

  * Upload to unstable.
  * Patches from upstream (3.7.7-4):
    + rh-curdir2.patch: logrotate would crash under SELinux.
    + rh-toolarge.patch: abort if the config file looks as though it 
      might be a huge log file, rather than segfaulting.
      (Closes: #435086)

 -- Paul Martin <pm@debian.org>  Wed, 17 Dec 2008 13:12:27 +0000

logrotate (3.7.7-1ubuntu1) jaunty; urgency=low

  * Merge with Debian experimental (LP: #64964). Remaining Ubuntu changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used on
      request, and we don't configure an MTA by default.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 07 Nov 2008 14:57:09 +0100

logrotate (3.7.7-1) experimental; urgency=low

  * New upstream release (based on upstream 3.7.7-1)
    + The source code has been run through "indent" which makes looking 
      for differences "interesting".
    + Debian patches no longer required:
      - compress-499502.patch: upstream has fix.
      - globfix-277652: upstream has a fix. In addition, logrotate will
        attempt to continue rather than stopping dead if there are any 
        errors in its config files. (Closes: #285858)
      - script-argument.patch: upstream has fixed this.
      - rh-dateext.patch: upstream has it.
      - rh-maxage.patch: upstream has it.
      - rh-noTMPDIR.patch: upstream has it.
      - rh-selinux.patch: upstream has it.
      - taboo-to-debug.patch: upstream has it.
      - scripterrors.patch: upstream has fix.
      - man-lastaction.patch: upstream has it.
      - man-mailtypo.patch: upstream has it.
      - man-rh-1.patch: upstream has it.
      - man-333996.patch: upstream has fix.
    + New features:
      - yearly rotations
      - minsize
      - optionally use shred when deleting files
      - dateformat, to control the date format when using dateext
      - Tabooexts can be wildcards.
    + Upstream fixes:
      - Manpage fixed for example using /var/log/news. (Closes: #339502)

  * dateext-504079.patch: If dateext is used with delaycompress and 
    mailfirst, the wrong filename (one that has compressext added) is 
    attempted to be mailed. (Closes: #504079,#433496)
  * dst.patch: Update to add the current "hour" to the struct tm, so 
    that DST changes don't cause the date to be off by one.
    (Closes: #416177)
  * Corrected upstream URL (Closes: #410420)
  * deb-taboos.patch: added .cfsaved to taboo list. (Closes: #463581)

 -- Paul Martin <pm@debian.org>  Fri, 07 Nov 2008 02:27:18 +0000

logrotate (3.7.1-5) unstable; urgency=high

  * globfix-277652: ignore glob failure until end of block, so that 
    missingok can be taken into account. (Closes: #277652)
  * Urgency high for RC bug.

 -- Paul Martin <pm@debian.org>  Wed, 08 Oct 2008 16:33:20 +0100

logrotate (3.7.1-4) unstable; urgency=high

  * Change default logrotate.conf to use permission 660 for 
    /var/log/btmp. (Closes: #370050)
  * compress-499502.patch: Don't clobber existing files if in debug mode 
    and compressing. (Closes: #499502)
  * Lintian cleanups:
    + debian-rules-ignores-make-clean-error
    + maintainer-script-ignores-errors preinst postrm
    + Update Standards-Version to 3.8.0. (No changes)

 -- Paul Martin <pm@debian.org>  Wed, 01 Oct 2008 00:39:12 +0100

logrotate (3.7.1-3) unstable; urgency=low

  * Patch debian/control to fix FTBFS on kfreebsd-amd64. Perhaps we need
    a build-depends macro for !kfreebsd. (Closes: #361465)
  * Use and depend on debhelper version 5.
  * Switch from dpatch to quilt.
  * cpp-crossbuild.patch: change from using $(CPP) to $(CC) -E.
    Thanks to NIIBE Yutaka. (Closes: #284040)
  * dst.patch: fix mktime initialisation so that daylight savings is
    taken into account. Thanks to Holger Weiss. (Closes: #278591)
  * man-333996.patch: fix typos in logrotate.8 where "then" should be
    "than". Thanks to Adrian Knoth. (Closes: #333996)
  * manpage.patch: Apply missed fixes from #101272. Thanks to J S Bygott.
    (Closes: #335060)
  * script-argument.patch: Allow the use of $1 in scripts again.
    (Closes: #330783)
  * README.Debian: Document that sysklogd does its own log rotation.
    (Closes: #308963)
  * README.Debian: Document how scripts are called. (Closes: #308920)
  * Update the copyright file.
  * debian/control: remove versioned dependency on cron. The version of
    cron forbidden pre-dates woody (currently "oldstable") by several
    years. This versioned dependency is preventing logrotate being
    installed with bcron. (Closes: #304038, #349150)
  * debian/rules: Fix backports, allowing them to use selinux.
    (Closes: #340363)
  * uncompressChild-warning.patch: Fix a "might be used uninitialised" 
    warning from gcc.

 -- Paul Martin <pm@debian.org>  Sat,  8 Apr 2006 23:02:19 +0100

logrotate (3.7.1-2) unstable; urgency=low

  * Patches:
    + 40-compressutime: Preserve mtime/atime on compression.
      (Closes: #286957)
    + 40-scripterrors: Give error messages identifying log file on
      script errors. (Closes: #122691, #195790, #222050, #306020)

  * Patch debian/control to fix FTBFS on kfreebsd-i386. (Closes:
    #320331).

 -- Paul Martin <pm@debian.org>  Sat,  3 Sep 2005 13:37:53 +0100

logrotate (3.7.1-1) unstable; urgency=low

  * New upstream release (based on upstream 3.7.1-11)

  * This upload enables selinux code. (Closes: #193601, #315514)

  * Updated dpatches:
    + 30-config-h: upstream has changed to using "/bin/mail" instead of
      "/bin/mail -s"
    + No need for 41-execlp-fix or 42-execlp-bin-sh.
    + Upstream fix obsoletes 60-compressowner.

  * Upstream uses a patch system, too. Patches from upstream:
    + 01-rh-dateext (logrotate-3.7.1-dateext.patch)
    + 01-rh-maxage (logrotate-3.7.1-maxage.patch)
      dateext and maxage (Closes: #178526, #188198, #226061, #257685,
      #306304)
    + 01-rh-noTMPDIR (logrotate-3.7.1-noTMPDIR.patch)
      This has the effect of never requiring a tempdir for scripts.
      There's the possibility of large scripts running into stack
      limits.
    + 01-rh-selinux (logrotate-3.7.1-selinux.patch)
      Updates to selinux code.
    + 52-man-rh-1 (based on logrotate-3-man.patch)
      Explains a bit more about postrotate scripts and updates the
      sharedscripts entry.

  * Update Standards-Version (no changes needed).
  * Update copyright file with current upstream location.

 -- Paul Martin <pm@debian.org>  Mon, 25 Jul 2005 22:15:18 +0100

logrotate (3.7-5) unstable; urgency=high

  Brown paper bag upload.

  * 42-execlp-bin-sh: Fix major flaw in the last patch... it tries to 
    execute the logfile. Thanks very much for the quick report, Philipp.
    It was my fault, not yours. (Closes: #279965)

 -- Paul Martin <pm@debian.org>  Wed, 25 May 2005 10:43:42 +0100

logrotate (3.7-4) unstable; urgency=high

  * 42-execlp-bin-sh: Call /bin/sh directly for scripts. Allows /tmp to 
    be mounted noexec. This is a simple fix for sarge -- a potentially
    better fix is available upstream. Thanks to Philipp Hartmann. 
    (Closes: #279965)

  * Documentation fixes:
    + 52-man-overriden: Fix spelling of "overridden" in manpage.
      (Closes: #310337)
    + 52-man-mailtypo: Fixes formatting of the -mail option in manpage.
      (Closes: #300644)

 -- Paul Martin <pm@debian.org>  Wed, 25 May 2005 08:49:07 +0100

logrotate (3.7-3) unstable; urgency=high

  * 41-execlp-fix: "critical" bug with execlp() call on scripts. 
    This affects only those who use the undocumented feature of the 
    arguments of the script being the files that are being rotated. 
    Oh rats... I've just documented it! (Closes: #276172)
    Thanks to Lars for the quick NMU.

  The rest of the changes are minor and are mainly to documentation:

  * Depend on cron | anacron | fcron. (Closes: #308172)
  * 52-man-sizetypo.dpatch fixes "size=100k" typo in manpage. Thanks to
    Ged Haywood for spotting this. Also spotted by Kjetil Kjernsmo
    (Closes: #272716)
  * 52-man-lastaction.dpatch fixes mistake in the lastaction
    description. (Closes: #278172)
  * Credit some of the RedHat authors in the debian/copyright file, and 
    update the location of the cvs repository.
  * 52-man-startcount.dpatch, fixes manpage for "start" description.
    (Closes: #290628)

 -- Paul Martin <pm@debian.org>  Mon, 16 May 2005 23:01:32 +0100

logrotate (3.7-2) unstable; urgency=high

  * Added commented out stuff in debian/rules to build a 
    logrotate-selinux package should Russell's move to get libselinux1 
    made "base" fail.
  * Patch: 21-taboo-to-debug, reduces the "Ignoring..." messages of
    the taboo filter from ERROR to DEBUG. (Closes: #249073)
  * Patch: 30-config-h, changed to fix upstream bug with mailing
    logs. (Closes: #253837)

 -- Paul Martin <pm@debian.org>  Fri, 11 Jun 2004 13:51:34 +0100

logrotate (3.7-1) unstable; urgency=low

  * Moved to using dpatch to keep track of changes.
  * New upstream release:
    + Includes some SELinux code, not compiled in by default as
      libselinux1 is not a base package. (Refer: #224880)
    + Always use compressext for the extension for compressed
      files; before compresscmd and compressext had to agree
    + Compression and scripts don't use system() anymore
    + compress and maillast didn't work together properly
    + delaycompress and mailfirst didn't work properly
      (Closes: #186818,#211687)
    + Don't use system() for mailing (or uncompressing) logs anymore
    + missingok works on directories, too (Closes: #246352,#248318)
  * Manpage fixes:
    + Include mention of G suffix to "size" option.
    + Fix also the wording of the "weekly" option. (Closes: #232263)
    + Fix examples' location of killall. (Closes: #189243)
    + Fix description of "compressext". (Closes: #230519)
  * Patches applied:
    + Trustix logrotate-3.7-compressowner.patch, which retains
      original owner and mode of logs when they are compressed.
  * Fixed upstream source location in copyright file. (Closes: #187384)
  * Standards-Version: 3.6.1
    + New default compilation options (10.1).
  * Use and depend on debhelper 4.
  * Added reportbug script.

 -- Paul Martin <pm@debian.org>  Mon, 10 May 2004 19:43:54 +0100

logrotate (3.6.5-3) unstable; urgency=low

  * Added missingok to /var/log/wtmp entry of logrotate.conf.
    (Closes: #199154)

 -- Paul Martin <pm@debian.org>  Tue, 11 Nov 2003 23:17:24 +0000

logrotate (3.6.5-2) unstable; urgency=low

  * Added check for prerotate and postrotate scripts having no 
    terminating endscript. (Closes: #162976)

 -- Paul Martin <pm@debian.org>  Wed,  9 Oct 2002 18:21:36 +0100

logrotate (3.6.5-1) unstable; urgency=low

  * New upstream release
    - Stop the shared postrotate/prerotate scripts from running if none
      of the log(s) need rotating (Closes: #149135, #153284, #15890)
    - Use TMPDIR instead of /tmp, if specified, when executing scripts.
    - New config directives "copy", "nocopy" and "start".
    - Sizes can be expressed in gigabytes (G suffix).
    - Some updates to manpage.
       + Manpage documents naming of rotated files (Closes: #143169)
  * Standards-Version: 3.5.6

 -- Paul Martin <pm@debian.org>  Tue, 27 Aug 2002 00:21:14 +0100

logrotate (3.5.9-10) unstable; urgency=high

  * cron.daily was getting deleted by the debian/rules script. Mea
    maxima culpa. (Closes: #152966).

 -- Paul Martin <pm@debian.org>  Tue, 30 Jul 2002 00:08:37 +0100

logrotate (3.5.9-9) unstable; urgency=high

  * Downgraded depends on mailx to a recommends.
    (Closes: #127239, #149535)
  * Really put check for existence of logrotate binary into the
    cron.daily script. It was getting overwritten by a copy from the
    examples directory. (Closes: #150727)

 -- Paul Martin <pm@debian.org>  Sat, 22 Jun 2002 23:48:27 +0100

logrotate (3.5.9-8) unstable; urgency=high

  * Added check to cron.daily (blatantly stolen from exim's) to only
    attempt to run logrotate if it's binary exists. (Closes: #144265)
  * Priority high to ensure this minimal bugfix (a violation of a 
    "should" policy directive) gets into woody.

 -- Paul Martin <pm@debian.org>  Tue, 23 Apr 2002 23:16:43 +0100

logrotate (3.5.9-7) unstable; urgency=medium

  * More typos fixed. Thanks to David Lawyer <dave@lafn.org>.
    (Closes: #134944).
  * Simple logic fix in decision of whether to uncompress a logfile 
    when mailing it. (Closes: #137573)

 -- Paul Martin <pm@debian.org>  Tue, 12 Mar 2002 17:30:02 +0000

logrotate (3.5.9-6) unstable; urgency=low

  * No changes to programs, only to documentation.
  * Changes to manpage logrotate.8:
    + Fixed typos, errors and omissions. (Closes: #101272)
      Thanks to Jeremy S Bygott <jeremy@jsbygott.fsnet.co.uk>
    + Documented the location of killall program.
    + Fix the other mention of the status file location.
    + Documented error behaviour of globs in config file.
      (Closes: #128795)
  * Upstream added an "olddir" directive some time ago.
    (Closes: #56044)

 -- Paul Martin <pm@debian.org>  Fri,  8 Feb 2002 20:08:36 +0000

logrotate (3.5.9-5) unstable; urgency=low

  * Further development on bug #118466. Use stat() rather than
    fgetc/ungetc. Thanks to Ian Wienand <ianw@ieee.org> for being
    unsatisfied with my previous attempts, which contained many
    logic errors. Mea culpa.
    (Closes: #119176)

 -- Paul Martin <pm@debian.org>  Sun, 18 Nov 2001 11:59:08 +0000

logrotate (3.5.9-4) unstable; urgency=low

  * Fix the logic error in the last two uploads. Use fgetc/ungetc
    instead of feof. (Closes: #118466)

 -- Paul Martin <pm@debian.org>  Wed, 14 Nov 2001 00:37:55 +0000

logrotate (3.5.9-3) unstable; urgency=low

  * Fix a bug I introduced in the last upload. Check that filehandles
    are non-null when you reference them. Brown paper bag time.
    (Closes: #118907,#119176)

 -- Paul Martin <pm@debian.org>  Tue, 13 Nov 2001 12:45:51 +0000

logrotate (3.5.9-2) unstable; urgency=low

  * Manpage was giving wrong location for status file. Fixed.
  * Test that status file is non zero length before trying
    to read it. (Closes: #118466)

 -- Paul Martin <pm@debian.org>  Tue,  6 Nov 2001 21:36:48 +0000

logrotate (3.5.9-1) unstable; urgency=low

  * New upstream release:
    + Incorporates the Debian fix to #110958.
    + Manpage updates.
    + Checks for negative values of rotate (Closes: #42683)
    + Fix to "extension" being ignored (Closes: #104335)

 -- Paul Martin <pm@debian.org>  Wed,  5 Sep 2001 22:42:13 +0100

logrotate (3.5.7-5) unstable; urgency=low

  * Removed rotation of /var/log/lastlog. It's a file that doesn't grow,
    and rotating it loses all the lastlog information. Perhaps making
    a backup would make more sense. (Closes: #111184)

 -- Paul Martin <pm@debian.org>  Tue,  4 Sep 2001 16:14:16 +0100

logrotate (3.5.7-4) unstable; urgency=low

  * Fixed bug with trying to free() a static string. (Closes: #110958)

 -- Paul Martin <pm@debian.org>  Mon,  3 Sep 2001 00:03:37 +0100

logrotate (3.5.7-3) unstable; urgency=low

  * Removed the debian/logrotate.conffiles, as debhelper v3 now
    automatically includes all files in /etc as conffiles.
    (Closes: #105616)

 -- Paul Martin <pm@debian.org>  Wed, 18 Jul 2001 11:48:03 +0100

logrotate (3.5.7-2) unstable; urgency=low

  * Removed the "errors root" from the default /etc/logrotate.conf file.
    (Closes: #105349)

 -- Paul Martin <pm@debian.org>  Sun, 15 Jul 2001 16:35:24 +0100

logrotate (3.5.7-1) unstable; urgency=low

  * New upstream release:
    + Allows compression command to be configurable (Closes: #101007)
    + Enables LFS support (Closes: #100810)
    + Quotes filenames for running compress commands or pre/postrotate
      commands.
    + Errors directive has been removed. For reasons, see
      http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=16544
  * Changed preinst and new postrm scripts to clean up old status files.
    (Closes: #101831)

 -- Paul Martin <pm@debian.org>  Fri, 13 Jul 2001 23:21:57 +0100

logrotate (3.5.4-2) unstable; urgency=low

  * Loosened the config syntax checking to allow more flexibility.
    (Closes: #95617,#95630)
  * mailx is now in testing. (Closes: #67053)
  * Compile with -O2.

 -- Paul Martin <pm@debian.org>  Tue, 15 May 2001 01:59:19 +0100

logrotate (3.5.4-1) unstable; urgency=low

  * New maintainer.
  * New upstream release. (Closes: #71385,#78378,#81582,#88769)
  * Added .dpkg-new to default tabooext list. (Closes: #80527)
  * Changing <sys/time.h> to <time.h> in log.c fixes compiler warning.
  * Removed RPM from logrotate.conf. (Closes: #52802,#78349,#65162,#90990)
  * Moved the logrotate.status back to /var/lib. FHS compliance.
    (Closes: #49553,#59120,#68728)
  * Removed tab characters from manpage source. (Closes: #53903)
  * Changed dependencies to allow either cron or anacron.
    (Closes: #87716)
  * Placed upstream source location in copyright file. (Closes: #45184)
  * Added rotation of /var/log/btmp and /var/log/lastlog to default
    configuration.
  * No longer consider state file dates before 1996 as fatal errors.
    (Closes: #65534)
  * Commas now no longer delimit tabooexts. Manpage changed to reflect
    this. (Closes: #52719)

 -- Paul Martin <pm@debian.org>  Thu, 26 Apr 2001 02:22:52 +0100

logrotate (3.2-11) unstable; urgency=low

  * cron dependency is now versioned >= 3.0pl1-53, the first cron to fix
    the wtmp/btmp rotation problem

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 12 Sep 1999 15:51:07 -0700

logrotate (3.2-10) unstable; urgency=low

  * Added versioned depends on base-passwd to make upgrades from slink
    work normally.  (Closes: #44667)

 -- Joseph Carter <knghtbrd@debian.org>  Thu,  9 Sep 1999 19:05:02 -0700

logrotate (3.2-9) unstable; urgency=low

  * Cleaned up a couple of typos (Closes: #43716)
  * Added btmp with missingok to logrotate defaults (Closes: #43717)

 -- Joseph Carter <knghtbrd@debian.org>  Sat,  4 Sep 1999 13:55:11 -0700

logrotate (3.2-8) unstable; urgency=low

  * You can now disable logrotate.d entries by renaming them to include
    the .disabled extention.  Also logrotate will now ignore dpkg dropping
    files (Closes: #43703)

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 29 Aug 1999 11:34:27 -0700

logrotate (3.2-7) unstable; urgency=low

  * No longer rotate lastlog  (Closes: #43422)

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 24 Aug 1999 20:52:39 -0700

logrotate (3.2-6) unstable; urgency=low

  * Now Depends on cron like it should

 -- Joseph Carter <knghtbrd@debian.org>  Mon,  2 Aug 1999 09:51:58 -0700

logrotate (3.2-5) unstable; urgency=low

  * /etc/logrotate.conf is now a conffile.  How I missed this it one before
    is quite beyond me.  Oops.  =>  (Closes #42195)

 -- Joseph Carter <knghtbrd@debian.org>  Fri, 30 Jul 1999 10:39:58 -0700

logrotate (3.2-4) unstable; urgency=low

  * removed dependency on bash from postinst (Closes: #41118)

 -- Joseph Carter <knghtbrd@debian.org>  Mon, 26 Jul 1999 00:47:41 -0700

logrotate (3.2-3) unstable; urgency=low

  * More FHS updates, new standards version, debhelper v2, etc
  * Recompiled with libpopt
  * We now have a group utmp and will use it
  * Priority: Important since policy 3 mandates logrotate for log rotaton

 -- Joseph Carter <knghtbrd@debian.org>  Fri, 16 Jul 1999 10:09:23 -0700

logrotate (3.2-2) unstable; urgency=low

  * Moved the status file from /var/lib/logrotate.status which is lame to
    /var/state/logrotate/status
  * I spaced the use of /bin/mail---oops.  It's a symlink on this system so
    it didn't BREAK anything here.  I also didn't declare dependency on
    mailx.  Someone get me a paper bag.  Closes: bug#37817
  * Renamed debian/* files to debian/logrotate.* in preperation for The
    Debhelper 2.x Way.  Harmless change and makes me feel useful.  =>
  * Changed wtmp rotation in the default conffile.  Rotates as root.adm for
    now.  This is a temporary change pending utmp group implemenetation.

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 16 May 1999 16:09:42 -0700

logrotate (3.2-1) unstable; urgency=low

  * Initial Release.

 -- Joseph Carter <knghtbrd@debian.org>  Thu, 22 Apr 1999 15:33:04 -0700

Local variables:
mode: debian-changelog
End:

